#include <iostream>
using namespace std;

int main() {
  int n, h, x;
  scanf("%d %d", &n, &h);
  int res=-1;
  for (int i=0; i<n; i++) {
    scanf("%d", &x);
    if (res==-1 && x <= h) res = i+1;
  }
  printf("%d", res);
}